<?php
return [
    // 内置项目配置
    'app_name'          => PROJECT_NAME,
    'app_path'          => PROJECT_PATH,

    // 自定义项目配置
    //'logPath'           => PROJECT_PATH . '/log', // 项目日志目录
    'logPath'           => PROJECT_PATH . '/log/crontab/'.date("Ymd"), // 项目日志目录
    'logSaveFileApp'    => 'application.log', // 默认日志文件名称
    'logSaveFileWorker' => 'crontab.log', // 进程启动相关log存储名字
    'pidPath'           => PROJECT_PATH . '/log',
    'sleep'             => 2, // 队列没消息时，暂停秒数
    'queueMaxNum'       => 10, // 队列达到一定长度，启动动态子进程个数发和送消息提醒
    'excuteTime'        => 3600, // 子进程最长执行时间，防止内存泄漏
    'queueTickTimer'    => 1000 * 10, //一定时间间隔（毫秒）检查队列长度;默认10秒钟
    'messageTickTimer'  => 1000 * 180, //一定时间间隔（毫秒）发送消息提醒;默认3分钟
    'processName'       => ':swooleTopicQueue', // 设置进程名, 方便管理, 默认值 swooleTopicQueue


    //job任务相关
    'job'               => [
        'topics' => [
            ['name' => 'MyJob', 'workerMinNum' => 1, 'workerMaxNum' => 5],
            //['name'=> 'MyJob2', 'workerMinNum'=>1, 'workerMaxNum'=>5],
            //['name'=> 'MyJob3', 'workerMinNum'=>1, 'workerMaxNum'=>5],
        ],
        // redis
        'queue'  => [
            'class'    => 'Jobs\Model\Queue\MRedisTopicQueue',
            'host'     => '127.0.0.1',
            'port'     => 6379,
            'password' => '',
            'database' => 3,
        ],

        // rabbitmq
        // 'queue'   => [
        //     'class'         => '\Kcloze\Jobs\Queue\RabbitmqTopicQueue',
        //     'host'          => '192.168.9.24',
        //     'user'          => 'phpadmin',
        //     'pass'          => 'phpadmin',
        //     'port'          => '5671',
        //     'vhost'         => 'php',
        //     'exchange'      => 'php.amqp.ext',
        // ],
    ],

    //框架类型及装载类
    'framework'         => [
        //可以自定义，但是该类必须继承\Kcloze\Jobs\Action\BaseAction
        'class' => 'Jobs\Controller\CJobs',
    ],

    'message' => [
        'class' => '\Kcloze\Jobs\Message\DingMessage',
        'token' => '***your-dingding-token***',
    ],

    'db' => [
        'default' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
            'username' => 'root',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devanfei',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
        'stock' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
            'username' => 'root',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devstock',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
        'price'   => [
            'driver'   => 'mysql',
            'host'     => '127.0.0.1',
            'port'     => '3306',
             'username' => 'root',
            'password' => '0d6047adbbae53c7',
            'dbname'   => 'qnys_devprice',
            'prefix'   => 'qianniao',
            'pconnect' => 0,
            'charset'  => 'utf8',
        ],
        'log' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
             'username' => 'root',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devlog',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
        'finance' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
            'username' => 'root',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devfinan',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
    ],
    'cache' => [
        'default' => [
            'storage' => 'redis',
            'host' => '127.0.0.1',
            'port' => '6379',
            'auth' => '',
            'prefix' => 'new_',
            'database' => '0',
        ],
        'mapping' => [
            'storage' => 'redis',
            'host' => '127.0.0.1',
            'port' => '6379',
            'auth' => '',
            'prefix' => 'new_',
            'database' => '1',//用于缓存地区
        ],
        'user' => [
            'storage' => 'redis',
            'host' => '127.0.0.1',
            'port' => '6379',
            'auth' => '',
            'prefix' => 'new_',
            'database' => '2',
        ],
        'finance'    => [
            'storage'  => 'redis',
            'host'     => '127.0.0.1',
            'port'     => '6379',
            'auth'     => '',
            'prefix'   => 'new_',
            'database' => '3',
        ],
        'activity'  => [
            'storage'  => 'redis',
            'host'     => '127.0.0.1',
            'port'     => '6379',
            'auth'     => '',
            'prefix'   => 'new_',
            'database' => '5',
        ],//活动
    ],


    'dataResources' => [
        'ThirdPartyService' => [
            'host'     => '',
            'port'     => '9508',
            'time_out' => -1,
        ],
    ],

    'search' => [
        'goods_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_goods_search',
            'type' => 'goods',
        ],
        'customer_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_customer_search',
            'type' => 'customer',
        ],
        'goods_basic_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_goodsbasic_search',
            'type' => 'goodsBasic',
        ],
        'shop_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_shop_search',
            'type' => 'shop',
        ],
        'order_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_order_search',
            'type' => 'order',
        ],
        'priceAdjustmentSheet_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'online_priceadjustmentsheet_search',
            'type'     => 'priceAdjustmentSheet',
        ],
        'customerPriceAdjustmentSheet_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'online_customer_price_adjustment_sheet_search',
            'type'     => 'customerPriceAdjustmentSheet',
        ],
        'inventory_details_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_inventory_details_search',
            'type' => 'inventory_details',
        ],
        'purchase_details_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_purchase_details_search',
            'type' => 'purchase_details',
        ],
        'order_out_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_order_out_search',
            'type' => 'order_out',
        ],
        'inventory_out_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_inventory_out_search',
            'type' => 'inventory_out',
        ],
        'inventory_in_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_inventory_in_search',
            'type' => 'inventory_in',
        ],
        'inventory_batch_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'online_inventory_batch_search',
            'type'     => 'inventory_batch',
        ],
        'should_receive_receipt_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'dev_should_receive_receipt_search',
            'type'     => 'should_receive_receipt',
        ],
        'should_pay_receipt_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'dev_should_pay_receipt_search',
            'type'     => 'should_pay_receipt',
        ],
        'activity_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'online_activity_search',
            'type'     => 'activity',
        ],
        'login_log' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:80'
            ],
            'timeout' => null,
            'index' => 'online_login_log',
            'type' => 'login',
        ],
        'logs' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'dev_logs',
            'type'     => 'logs',
        ],
        'received_receipt_search'  => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'online_received_receipt_search',
            'type'     => 'received_receipt',
        ],
        'user_coupon_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:80'
            ],
            'timeout'  => null,
            'index'    => 'online_user_coupon_search',
            'type'     => 'user_coupon',
        ],
    ]
];
