<?php
/**
 * 商铺管理模块
 * Created by PhpStorm.
 * User: wxj
 * Date: 2019/10/31
 * Time: 15:02
 */

namespace Jobs\Dao;

/**
 * Class DShop
 * @package JinDouYun\Dao\Shop
 */
class DShop extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'shop';
        $this->_primary = 'id';
        $this->_fields = [
            'id',//int(11) NOT NULL AUTO_INCREMENT COMMENT '商铺id',
            'enterpriseId',// int(11) NOT NULL COMMENT '企业实体id',
            'costType',
            'name',// varchar(255) DEFAULT NULL COMMENT '商铺名称',
            'logo',//varchar(255) NOT NULL COMMENT '商铺logo',
            'shopCode',//varchar(255) NOT NULL COMMENT '商铺仓库编码',
            'shopType',//int(10) DEFAULT NULL COMMENT '商铺类型',
            'openTime',// json DEFAULT NULL COMMENT '营业时间',
            'contactName',// varchar(50) NOT NULL COMMENT '联系人',
            'mobile',//char(11) NOT NULL COMMENT '联系电话',
            'deleteStatus',//tinyint(4) DEFAULT '5' COMMENT '删除状态(5未删除 4已删除)',
            'createTime',//int(10) DEFAULT NULL COMMENT '创建时间',
            'updateTime',//int(10) DEFAULT NULL COMMENT '修改时间',
            'enableStatus',//tinyint(4) DEFAULT '5' COMMENT '启用状态(4未启用 5已启用)',
            'provinceCode',//varchar(20) DEFAULT NULL COMMENT '省编码',
            'cityCode',//varchar(20) DEFAULT NULL COMMENT '市编码',
            'districtCode',//varchar(20) DEFAULT NULL COMMENT '区编码',
            'address',//varchar(100) DEFAULT NULL COMMENT '详细地址',
            'latitude',// varchar(255) DEFAULT NULL COMMENT '纬度',
            'longitude',// varchar(255) DEFAULT NULL COMMENT '经度',
            'salesArea',// json DEFAULT NULL COMMENT '销售区域',
            'shopPartnerId',// int(11) DEFAULT NULL COMMENT '合伙人id',
            'warehouseId',
        ];
        $this->_readonly = ['id'];
        $this->_create_autofill = [
            'createTime' => time()
        ];
        $this->_update_autofill = [
            'updateTime' => time()
        ];

        parent::__construct($serviceDB);
    }
}