<?php

namespace Jobs\Dao\Finance;

use Jobs\Dao\BaseDao;

class DPay extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'qianniao_pay_receipt_1_201901';
        $this->_primary = 'id';
        $this->_fields = [
            'id',//int(11) NOT NULL AUTO_INCREMENT COMMENT '应付单据id',
            'customerId',//int(11) DEFAULT NULL COMMENT '客户Id',
            'customerName',//varchar(50) DEFAULT NULL COMMENT '客户名称',
            'no',//char(25) DEFAULT NULL COMMENT '应付单据编号',
            'sourceNo',//char(25) DEFAULT NULL COMMENT '源订单号',
            'purchaseId',
            'createTime',//int(11) DEFAULT NULL COMMENT '创建时间',
            'updateTime',//int(11) DEFAULT NULL COMMENT '修改时间',
            'financeTypeId',//int(10) DEFAULT NULL COMMENT '财务类型id',
            'financeType',//varchar(50) DEFAULT NULL COMMENT '财务类型名称',
            'discountMoney',//float(10,2) DEFAULT NULL COMMENT '优惠金额',
            'payMoney',//float(10,2) DEFAULT NULL COMMENT '实际应付金额',
            'shopId',//int(11) DEFAULT NULL COMMENT '商铺Id',
            'shopName',//varchar(50) DEFAULT NULL COMMENT '商铺名称',
            'deleteStatus',//tinyint(1) DEFAULT NULL COMMENT '删除状态',
            'auditStatus',//tinyint(1) NOT NULL COMMENT '审核状态(1未审核  2已审核)',
            'receiptTypeId',//tinyint(2) DEFAULT NULL COMMENT '应付单据类型',
        ];
        $this->_readonly = ['id'];
        $this->_create_autofill = [
            'createTime' => time()
        ];
        $this->_update_autofill = [
            'updateTime' => time()
        ];

        parent::__construct($serviceDB);
    }
}