<?php
/**
 * 消息
 * Created by PhpStorm.
 * User: 小威
 * Date: 2020/04/03
 * Time: 12:20
 */

namespace Jobs\Model\MTopic\Message;


use Mall\Framework\Core\ErrorCode;
use Mall\Framework\Core\ResultWrapper;
use Mall\Framework\Core\StatusCode;

use Jobs\Dao\BaseDao;
use Jobs\Dao\Message\DMessage;

class MMessage
{
    private $enterpriseId;

    private $userCenterId;

    private $objDMessage;

    /**
     * MGrantCoupon constructor.
     * @throws \Exception
     */
    public function __construct()
    {
        $this->objDMessage = new DMessage();
        echo '库存不足预警消息:' . date('Y-d-d H:i:s') . ':' . PHP_EOL;
    }

    /**
     * 库存不足预警
     * @param $params
     * @return bool
     * @throws \Exception
     */
    public function inventoryNumWarning($params)
    {
        echo '开始执行消息提醒队列方法**************************************************************************************************************************';
        var_dump($params);
        $data = $params['data']['data'];
        if(empty($params['data']['enterpriseId'])){
            echo '企业id参数错误'.PHP_EOL;
            return false;
        }
        $enterpriseId = $params['data']['enterpriseId'];
        $this->objDMessage->setTable($this->objDMessage->get_Table().'_'.$enterpriseId);
        //查询企业管理员
        $sql = 'select userCenterId from qianniao_user_bind_enterprise where enterpriseId = '.$enterpriseId.' and roleType = '.StatusCode::$roleType['admin'];
        $dbResult = $this->objDMessage->query($sql);
        if($dbResult === false){
            echo $this->objDMessage->error() . PHP_EOL;
            return false;
        }
        if(empty($dbResult)){
            echo '企业管理员查询失败' . PHP_EOL;
            return false;
        }
        $adminId = $dbResult[0]['userCenterId'];

        $insertData = [];
        foreach($data as $value){
            $insertData[] = [
                'sendId' => 0,//0为系统自动发送
                'receiveId' => $adminId,
                'title' => '库存不足',
                'content' => $value.'库存不足',
                'type' => StatusCode::$messageType['inventoryNull'],
                'receiveStatus' => StatusCode::$delete,
                'deleteStatus' => StatusCode::$standard,
                'sendTime' => time(),
                'createTime' => time(),
                'receiveTime' => null,
            ];
        }

        unset($dbResult);
        $dbResult = $this->objDMessage->insert($insertData, true);
        if($dbResult === false){
            echo $this->objDMessage->error() . PHP_EOL;
            return false;
        }
        echo '添加成功' . PHP_EOL;
        return true;
    }


}