<?php


namespace Jobs\Model\MTopic\Order;


class MCommissionOrder
{
    public function __construct()
    {
        echo '订单分销开始执行:' . date('Y-m-d H:i:s') . ':' . PHP_EOL;
    }

    /**
     * Doc: (des="")
     * User: XMing
     * Date: 2020/7/28
     * Time: 4:52 下午
     * @param $params
     * @return boolean
     */
    public function push($params)
    {
        echo PHP_EOL;
        $project_domain = $params['PROJECT_DOMAIN'];
        switch ($project_domain){
            case 'api':
                $ip = URL_API.'/Commission/Commission/createCommission';
                break;
            default:
                $ip = DEV_URL_API.'/Commission/Commission/createCommission';
        }

        $postData = [
            'orderId' => $params['orderId'],
            'customerId' => $params['customerId']
        ];
        $post = json_encode($postData);
        $curl_option = [
            CURLOPT_HTTPHEADER => [
                'Content-Type:text/plain',
                'Authorization:'.$params['Authorization'],
                'Token:'.$params['Token']
            ],
        ];
        $result = request($ip, $post, 40, false,$curl_option);
        print_r($result);
        echo '成功' . PHP_EOL;
        return true;
    }

    /**
     * Doc: (des="订单完成")
     * User: XMing
     * Date: 2020/7/30
     * Time: 6:54 下午
     * @param $params
     * @return bool
     */
    public function updateBalance($params)
    {
        echo PHP_EOL;
        $project_domain = $params['PROJECT_DOMAIN'];
        switch ($project_domain){
            case 'api':
                $ip = URL_API.'/Commission/Commission/updateBalance';
                break;
            default:
                $ip = DEV_URL_API.'/Commission/Commission/updateBalance';
        }

        $postData = [
            'orderId' => $params['orderId'],
        ];
        $post = json_encode($postData);
        $curl_option = [
            CURLOPT_HTTPHEADER => [
                'Content-Type:text/plain',
                'Authorization:'.$params['Authorization'],
                'Token:'.$params['Token']
            ],
        ];
        $result = request($ip, $post, 40, false,$curl_option);
        echo '成功' . PHP_EOL;
        return true;
    }

    /**
     * Doc: (des="取消订单")
     * User: XMing
     * Date: 2020/7/31
     * Time: 6:18 下午
     * @param $params
     * @return bool
     */
    public function cancelSubCommission($params)
    {
        echo PHP_EOL;
        $project_domain = $params['PROJECT_DOMAIN'];
        switch ($project_domain){
            case 'api':
                $ip = URL_API.'/Commission/Commission/cancelSubCommission';
                break;
            default:
                $ip = DEV_URL_API.'/Commission/Commission/cancelSubCommission';
        }

        $postData = [
            'orderId' => $params['orderId'],
        ];
        $post = json_encode($postData);
        $curl_option = [
            CURLOPT_HTTPHEADER => [
                'Content-Type:text/plain',
                'Authorization:'.$params['Authorization'],
                'Token:'.$params['Token']
            ],
        ];
        $result = request($ip, $post, 40, false,$curl_option);
        print_r($result);
        echo '成功' . PHP_EOL;
        return true;
    }



    public function __destruct()
    {
        // TODO: Implement __destruct() method.
        echo '订单分销执行结束:' . date('Y-m-d H:i:s') . ':' . PHP_EOL;
    }
}